{
  "name": "cura/date_currency.json",
  "parameter":{
    "currency_type": "A",
    "start_date": "2015-01-01",
    "end_date": "2015-12-31",
    "currency": ["EUR", "USD"]
  },
  "query": [
    ["cura_currency_rate_type", "=", "currency_type"],
    "and",
    ["cura_currency_id", "in", "currency"],
    "and",
    ["cura_currency_date", ">=", "start_date"],
    "and",
    ["cura_currency_date", "<=", "end_date"]
  ],
  "query_not_in_use": [
    ["cura_currency_date", "between", ["start_date", "end_date"]]
  ],
  "parameter_not_in_use":{
    "main_currency": "PLN"
  },
  "set_not_in_use": {
    "main_currency_set": [
      ["cura_main_currency_id", "=", "main_currency"],
      "or",
      ["cura_currency_id", "=", "main_currency"]
    ]
  },
  "order": ["cura_currency_date", "<"],
  "field": ["cura_currency_date", "cura_main_currency_id", "cura_currency_id", "cura_rate"]
}
